#ifndef LUM_OS_X11_BITMAP_H
#define LUM_OS_X11_BITMAP_H

/*
  This source is part of the Illumination library
  Copyright (C) 2005  Tim Teulings

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*/

// X11
#include <X11/Xlib.h>
#include <X11/Xutil.h>

#include <Lum/OS/Base/Bitmap.h>

namespace Lum {
  namespace OS {
    namespace X11 {

      class Bitmap : public OS::Base::Bitmap
      {
      public:
        Pixmap    pixmap;
        ::Display *display;

      public:
        Bitmap(size_t width, size_t height);
        virtual ~Bitmap();

        // getter
        ::Drawable GetDrawable() const;
        ::Display* GetDisplay() const;
      };
    }
  }
}

#endif
